Edit a credential set (org admin).
Edit a credential set (org admin). - Rensei REST API operation reference.
PATCH
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
orgId*stringOrganization id (must match the authenticated org).
setId*stringCredential set id (cset_*).
confirmInUse?stringPass true (or 1) to confirm a mutation while the set is in use.
application/json- body
name?stringLength
1 <= lengthdescription?string|nullprojectId?|Length
1 <= lengthvisibleToProjectIds?array<>|nullCredential set updated.
application/json- response
ok*booleanset*curl -X PATCH 'https://app.rensei.ai/api/org/string/credential-sets/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "ok": true, "set": { "id": "string", "orgId": "string", "projectId": "string", "visibleToProjectIds": [ "string" ], "name": "string", "description": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string", "property1": null, "property2": null }}